Skip to main content
GET
/
openapi
/
v1
/
billing
/
monthly
/
bill
curl --request GET \
  --url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
  --header 'Authorization: Bearer <API_KEY>'
{
  "data": [
    {
      "billId": "<string>",
      "userId": "<string>",
      "billingMonth": "2025-12",
      "totalAmount": "1000000",
      "originTotalAmount": "1200000",
      "voucherPayAmount": "200000",
      "cashPayAmount": "800000",
      "debtAmount": "0",
      "status": "paid",
      "invoiceUrl": "",
      "startTime": "1764547200",
      "endTime": "1767225599",
      "repaidAmount": "0"
    }
  ]
}

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Query Parameters

startMonth
string
Start month, in YYYY-MM format, for example 2025-10. Monthly bill data is available starting from 2025-10.
page
int32
Page number, starting from 1.
pageSize
int32
Number of items per page.
The current production environment fills months starting from startMonth, so the returned item count may not strictly equal pageSize.

Response Parameters

data
object[]
required
Monthly bill list.
curl --request GET \
  --url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
  --header 'Authorization: Bearer <API_KEY>'
{
  "data": [
    {
      "billId": "<string>",
      "userId": "<string>",
      "billingMonth": "2025-12",
      "totalAmount": "1000000",
      "originTotalAmount": "1200000",
      "voucherPayAmount": "200000",
      "cashPayAmount": "800000",
      "debtAmount": "0",
      "status": "paid",
      "invoiceUrl": "",
      "startTime": "1764547200",
      "endTime": "1767225599",
      "repaidAmount": "0"
    }
  ]
}